-- This script was generated by a beta version of the ERD tool in pgAdmin 4.
-- Please log an issue at https://redmine.postgresql.org/projects/pgadmin4/issues/new if you find any bugs, including reproduction steps.
BEGIN;


CREATE TABLE IF NOT EXISTS public."Arqueos"
(
    arqueo_id integer NOT NULL,
    operario_id integer,
    "totalCajaActual" integer,
    "pagosEfectivo" integer,
    "pagosTDebito" integer,
    "pagosTCredito" integer,
    "pagosConvenios" integer,
    "sumaFacturasCerradasTurno" integer,
    PRIMARY KEY (arqueo_id)
);

CREATE TABLE IF NOT EXISTS public."Facturas"
(
    facturas_id integer NOT NULL GENERATED BY DEFAULT AS IDENTITY ( INCREMENT 1 START 1000 MINVALUE 1000 MAXVALUE 9999 CACHE 1 ),
    vehiculo_id integer,
    operario_id integer,
    "fechaEntrada" date,
    "horaEntrada" time without time zone,
    "fechaSalida" date,
    "horaSalida" time without time zone,
    "tiempoFacturado" integer,
    tarifa_id integer,
    subtotal integer,
    iva integer,
    "modoPago" character varying,
    "totalPagado" integer,
    PRIMARY KEY (facturas_id)
);

COMMENT ON COLUMN public."Facturas".facturas_id
    IS 'Depende de la configuración inicial del parqueadero y el consecutivo de facturación que tengan. ';

CREATE TABLE IF NOT EXISTS public."Operarios"
(
    operario_id integer NOT NULL GENERATED ALWAYS AS IDENTITY ( INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 100 CACHE 1 ),
    nombre character varying,
    cedula character varying,
    telefono character varying,
    usuario character varying,
    clave character varying,
    rol character varying,
    PRIMARY KEY (operario_id)
);

CREATE TABLE IF NOT EXISTS public."PlazasDisponibles"
(
    plaza_id integer NOT NULL GENERATED ALWAYS AS IDENTITY ( INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 100 CACHE 1 ),
    vehiculo_id integer,
    PRIMARY KEY (plaza_id)
);

CREATE TABLE IF NOT EXISTS public."Tarifas"
(
    tarifa_id integer NOT NULL GENERATED ALWAYS AS IDENTITY ( INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000 CACHE 1 ),
    "tipoVehiculo" character varying,
    tarifa integer,
    PRIMARY KEY (tarifa_id)
);

CREATE TABLE IF NOT EXISTS public."Vehiculos"
(
    vehiculo_id integer NOT NULL GENERATED ALWAYS AS IDENTITY ( INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 1000000000 CACHE 1 ),
    placa character varying(20),
    tipo character varying,
    PRIMARY KEY (vehiculo_id)
);

ALTER TABLE public."Arqueos"
    ADD FOREIGN KEY (operario_id)
    REFERENCES public."Operarios" (operario_id)
    NOT VALID;


ALTER TABLE public."Facturas"
    ADD FOREIGN KEY (facturas_id)
    REFERENCES public."Operarios" (operario_id)
    NOT VALID;


ALTER TABLE public."Facturas"
    ADD FOREIGN KEY (facturas_id)
    REFERENCES public."Tarifas" (tarifa_id)
    NOT VALID;


ALTER TABLE public."Facturas"
    ADD FOREIGN KEY (facturas_id)
    REFERENCES public."Vehiculos" (vehiculo_id)
    NOT VALID;


ALTER TABLE public."PlazasDisponibles"
    ADD FOREIGN KEY (vehiculo_id)
    REFERENCES public."Vehiculos" (vehiculo_id)
    NOT VALID;

END;